import request from '@/utils/request'

// 查询公司档期消费列表
export function listConsume(query) {
  return request({
    url: '/company/consume/list',
    method: 'get',
    params: query
  })
}

// 查询公司档期消费详细
export function getConsume(id) {
  return request({
    url: '/company/consume/' + id,
    method: 'get'
  })
}

// 新增公司档期消费
export function addConsume(data) {
  return request({
    url: '/company/consume',
    method: 'post',
    data: data
  })
}

// 修改公司档期消费
export function updateConsume(data) {
  return request({
    url: '/company/consume',
    method: 'put',
    data: data
  })
}

// 删除公司档期消费
export function delConsume(id) {
  return request({
    url: '/company/consume/' + id,
    method: 'delete'
  })
}

// 导出公司档期消费
export function exportConsume(query) {
  return request({
    url: '/company/consume/export',
    method: 'get',
    params: query
  })
}